Gentoo Archives: gentoo-dev

From: Samuli Suominen <ssuominen@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] Lastrite: net-libs/xulrunner
Date: Wed, 06 Jun 2012 18:55:34
Message-Id: 4FCFA659.1030808@gentoo.org
In Reply to: Re: [gentoo-dev] Lastrite: net-libs/xulrunner by "Robin H. Johnson"
On 06/06/2012 08:28 PM, Robin H. Johnson wrote:
> On Wed, Jun 06, 2012 at 04:19:58PM +0300, Samuli Suominen wrote: >> # Samuli Suominen<ssuominen@g.o> (06 Jun 2012) >> # Vulnerable and no longer used by anything in tree wrt #403415 >> # Removal in 30 days >> <net-libs/xulrunner-10.0 >> <gnome-extra/yelp-2.30.2-r200 > What do we do about other apps that are XULRunner based, and NOT yet > updated by upstream to the new xulrunner (it actually depends on remote > XUL loading that got removed in newer versions too). > (In my case, http://open-ils.org/) >
we don't do anything, but you can keep on using it by copying the ebuild to your local overlay (don't forget distfiles) then when they do upgrade to new xulrunner, it's possible to package it from firefox tarball mozilla upstream doesn't support this, but some other distribs are packaging it[1] [1] http://www.archlinux.org/packages/extra/x86_64/xulrunner/ but nothing in portage is requiring this, so -1 for packaging it from me, as they should really upgrade to something else, like webkit-gtk...

Replies

Subject Author
Re: [gentoo-dev] Lastrite: net-libs/xulrunner "Robin H. Johnson" <robbat2@g.o>